=== debian/changelog ===
mlgtk (1.2.1.2000.01.10-5) frozen unstable; urgency=low

  * write protected the doc/mlgtk/examples dir again since it breaks
    policy, too bad, it was nice to have.

 -- Sven LUTHER <luther@debian.org>  Thu, 24 Feb 2000 13:58:11 +0100

mlgtk (1.2.1.2000.01.10-4) frozen unstable; urgency=low

  * recompiled for frozen (potato).

 -- Sven LUTHER <luther@debian.org>  Fri,  4 Feb 2000 16:43:34 +0100

mlgtk (1.2.1.2000.01.10-3) unstable; urgency=low

  * Fixed build problem on m68k, where ocaml_opt is not supported yet.

 -- Sven LUTHER <luther@debian.org>  Wed, 26 Jan 2000 14:49:19 +0100

mlgtk (1.2.1.2000.01.10-2) unstable; urgency=low

  * Fixed the arc stuff in gtkDrawing.
  * Added an expose handler to the drawingarea creation function.

 -- Sven LUTHER <luther@debian.org>  Tue, 25 Jan 2000 15:25:18 +0100

mlgtk (1.2.1.2000.01.10-1) unstable; urgency=low

  * New upstream release.
  * Added propper thread support.

 -- Sven LUTHER <luther@debian.org>  Mon, 10 Jan 2000 20:11:07 +0100

mlgtk (1.2.0.19991108-3) unstable; urgency=low

  * Fixes Bug#54412 : Fixed compilation of example files.
  * Fixes Bug#54413 : Added documentation files that got lost somehow.

 -- Sven LUTHER <luther@debian.org>  Mon, 10 Jan 2000 19:30:25 +0100

mlgtk (1.2.0.19991108-2) unstable; urgency=low

  * Recompiled for ocaml 2.03 release.
  * ocaml is now free, so mlgtk can go into main.

 -- Sven LUTHER <luther@debian.org>  Mon, 22 Nov 1999 17:16:49 +0100

mlgtk (1.2.0.19991108-1) unstable; urgency=low

  * New upstream release.
  * fixes some get_color problem on non PSEUDOCOLOR visuals, just a quick fix
    for the lack of propper support for it in gtk+.

 -- Sven LUTHER <luther@debian.org>  Mon,  8 Nov 1999 16:38:53 +0100

mlgtk (1.2.0.19991102-1) unstable; urgency=low

  * New upstream release.

 -- Sven LUTHER <luther@debian.org>  Tue,  2 Nov 1999 19:26:56 +0100

mlgtk (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Sven LUTHER <luther@debian.org>  Tue,  8 Jun 1999 15:49:27 +0200

mlgtk (1.0.990505-1) unstable; urgency=low

  * New upstream release.

 -- Sven LUTHER <luther@debian.org>  Wed,  5 May 1999 21:03:33 +0200

mlgtk (1.0.990406-2) unstable; urgency=low

  * fixed missing file for native compilation.

 -- Sven LUTHER <luther@debian.org>  Sat, 24 Apr 1999 11:31:18 +0100

mlgtk (1.0.990406-1) unstable; urgency=low

  * Stable upstream release, patch 990406.

 -- Sven LUTHER <luther@debian.org>  Mon, 19 Apr 1999 19:01:18 +0100

mlgtk (0.990304-1) unstable; urgency=low

  * New upstream release.

 -- Sven LUTHER <luther@debian.org>  Mon, 06 Mar 1999 16:17:18 +0100

mlgtk (0.990218-1) unstable; urgency=low

  * New upstream release.

 -- Sven LUTHER <luther@debian.org>  Mon, 18 Feb 1999 21:17:18 +0100

mlgtk (0.8.3-2) unstable; urgency=low

  * Some clean-up.
  * Added html documentation.

 -- Sven LUTHER <luther@debian.org>  Mon, 11 Feb 1999 17:36:18 +0100

mlgtk (0.8.3-1) unstable; urgency=low

  * Initial Release.

 -- Sven LUTHER <luther@debian.org>  Mon,  8 Feb 1999 19:36:18 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "luther@debian.org"
End:
