=== debian/control ===
Source: mlgtk
Section: devel
Priority: optional
Maintainer: Sven LUTHER <luther@debian.org>
Standards-Version: 2.4.0.0

Package: mlgtk
Architecture: any
Depends: ocaml (>= 2.03-1), libglib1.2, libgtk1.2
Description: Ocaml bindings for Gtk+
 Ocaml bindings for Gtk+
