## mlgtk 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,22 @@
 CC = gcc
 CAMLC = ocamlc
 CAMLO = ocamlopt
+OCAMLMKLIB=ocamlmklib
 
-#CDEBUGFLAGS = -g -DDEBUG
-CDEBUGFLAGS = -g -Wall -DGTKTHR -DEBUG
+#CDEBUGFLAGS = -g -Wall -DGTKTHR -DDEBUG
+CDEBUGFLAGS = -g -Wall -DGTKTHR 
 ZFLAGS = -g -thread
 ZFLAGSOPT = 
 
 # Be sure of what you are doing if you want to change this:
-OCAMLDIR = $(shell $(CAMLC) -v | grep Standard | sed -e "s/^.*: //") 
+#OCAMLDIR = $(shell $(CAMLC) -v | grep Standard | sed -e "s/^.*: //") 
+OCAMLDIR = `$(CAMLC) -where`
 
 # On the other hand you may want to adapt this:
 
 DESTDIR =
 INSTALL = install -m644
-INSTDIR = $(DESTDIR)$(OCAMLDIR)
+INSTDIR = $(DESTDIR)$(OCAMLDIR)/mlgtk
 
 
 # path for Ocaml C header files
@@ -33,7 +35,7 @@
 
 CFLAGS = $(CDEBUGFLAGS) $(OC_CFLAGS) $(GLIB_CFLAGS) \
          $(shell gtk-config --cflags) $(GTKDEFINES)
-LDFLAGS = "$(GLIB_LIBS) $(shell gtk-config --libs) -lunix"
+LDFLAGS = $(shell gtk-config --libs)
 
 CMOFILES = glib.cmo gdk.cmo gtk.cmo gtkThr.cmo gtkObj.cmo gtkEasy.cmo gtkDrawing.cmo
 CMXFILES = glib.cmx gdk.cmx gtk.cmx gtkThr.cmx gtkObj.cmx gtkEasy.cmx gtkDrawing.cmx
@@ -54,20 +56,30 @@
 print_message:
 	@echo $(OK)
 
-gtk.cma: $(CMOFILES)
-	$(CAMLC) -a -o $@ $(CMOFILES)
+gtk.cma: $(CMOFILES) $(OFILES)
+	$(OCAMLMKLIB) -o gtk -oc mlgtk $(CMOFILES) $(OFILES) $(LDFLAGS)
 
 gtk.cmxa: $(CMXFILES)
-	$(CAMLO) -a -o $@ $(CMXFILES)
+	$(OCAMLMKLIB) -o gtk -oc mlgtk $(CMXFILES) $(OFILES) $(LDFLAGS)
 
-libmlgtk.a: $(OFILES)
-	$(AR) -rc $@ $(OFILES)
+#libmlgtk.a: $(OFILES)
+#	$(OCAMLMKLIB) -o gtk -oc mlgtk $(OFILES) $(LDFLAGS)
 
 gtkThr.cmx: gtkThr.ml
 	$(CAMLO) -thread $(ZFLAGSOPT) -c $<
+
+mli.docs:
+	if [ -x mli ]; then rm -rf mli; fi && mkdir mli
+	-for i in `ls --color=never *.ml`; do	\
+		ocamlc -i -c -o /dev/null $$i >mli/"$$i"i;	\
+	done
+	cp -f *.mli mli
+
 clean:
 	-rm -f *.cm* *.o *.a 
 	make -C examples clean
+	-rm -rf mli
+	-rm -f dllmlgtk.so
 
 distclean: 
 	-rm -f .depend *.cm* *.o *.a 
@@ -75,11 +87,12 @@
 
 install: libs
 	$(INSTALL) gtk.cma $(INSTDIR)
-	$(INSTALL) libmlgtk.a $(INSTDIR)
+	$(INSTALL) dllmlgtk.so $(INSTDIR)
 	$(INSTALL) *.cmi $(INSTDIR)
 
 install_opt: libs_opt
 	$(INSTALL) gtk.cmxa gtk.a $(INSTDIR)
+	$(INSTALL) libmlgtk.a $(INSTDIR)
 
 depend: 
 	ocamldep *.ml* >.depend
