=== examples/Makefile ===
--- 
+++ 
@@ -4,19 +4,16 @@
 CAMLO = ocamlopt -thread
 CAMLINC = -I ..
 
-ZOBJS = unix.cma threads.cma ../gtk.cma ../libmlgtk.a
-ZOBJSOPT = unix.cmxa threads.cmxa ../gtk.cmxa ../libmlgtk.a
+ZOBJS = unix.cma threads.cma ../gtk.cma
+ZOBJSOPT = unix.cmxa threads.cmxa ../gtk.cmxa
 
 .PHONY : clean distclean depend all all_opt
 
 # To define GTKDEFINES, GLIB_CFLAGS and GLIB_LIBS:
 include ../detect_gtk
 
-LDFLAGS = "${GLIB_LIBS} $(shell gtk-config --libs)	\
-		-lunix -lthreads -lpthread"
-LDFLAGSOPT = "${GLIB_LIBS} $(shell gtk-config --libs)	\
-		-lunix -lthreadsnat -lpthread"
-#LDFLAGS = "${GLIB_LIBS} $(shell gtk-config --libs) -lunix -lthreads"
+LDFLAGS = "$(shell gtk-config --libs)"
+LDFLAGSOPT = ${GLIB_LIBS} $(shell gtk-config --libs)
 
 TESTS = tut_1 tut_2 tut_3 tut_4 tut_cat tut_threads
 XTESTS = tut_1_opt tut_2_opt tut_3_opt tut_4_opt tut_cat_opt
@@ -28,8 +25,7 @@
 #	$(CAMLMKTOP) -custom -o $@ -cclib $(LDFLAGS) unix.cma threads.cma $^
 
 t%: t%.cmo
-	$(CAMLC) -custom -o $@ -cclib $(LDFLAGS)	\
-		$(ZOBJS) $+
+	$(CAMLC) -o $@ -cclib $(LDFLAGS) $(CAMLINC) $(ZOBJS) $+
 
 t%_opt: t%.cmx
 	$(CAMLO) -o $@ -cclib $(LDFLAGSOPT)		\
